StatNS (libguestfs java 1.58.1 API reference)
Description: declaration: package: com.redhat.et.libguestfs, class: StatNS

# Class StatNS

java.lang.Object
com.redhat.et.libguestfs.StatNS

public class StatNS extends Object
StatNS structure.

See Also:
  - `GuestFS`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `st_atime_nsec`
  `long`
  `st_atime_sec`
  `long`
  `st_blksize`
  `long`
  `st_blocks`
  `long`
  `st_ctime_nsec`
  `long`
  `st_ctime_sec`
  `long`
  `st_dev`
  `long`
  `st_gid`
  `long`
  `st_ino`
  `long`
  `st_mode`
  `long`
  `st_mtime_nsec`
  `long`
  `st_mtime_sec`
  `long`
  `st_nlink`
  `long`
  `st_rdev`
  `long`
  `st_size`
  `long`
  `st_spare1`
  `long`
  `st_spare2`
  `long`
  `st_spare3`
  `long`
  `st_spare4`
  `long`
  `st_spare5`
  `long`
  `st_spare6`
  `long`
  `st_uid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatNS()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### st_dev

    public long st_dev

  - ### st_ino

    public long st_ino

  - ### st_mode

    public long st_mode

  - ### st_nlink

    public long st_nlink

  - ### st_uid

    public long st_uid

  - ### st_gid

    public long st_gid

  - ### st_rdev

    public long st_rdev

  - ### st_size

    public long st_size

  - ### st_blksize

    public long st_blksize

  - ### st_blocks

    public long st_blocks

  - ### st_atime_sec

    public long st_atime_sec

  - ### st_atime_nsec

    public long st_atime_nsec

  - ### st_mtime_sec

    public long st_mtime_sec

  - ### st_mtime_nsec

    public long st_mtime_nsec

  - ### st_ctime_sec

    public long st_ctime_sec

  - ### st_ctime_nsec

    public long st_ctime_nsec

  - ### st_spare1

    public long st_spare1

  - ### st_spare2

    public long st_spare2

  - ### st_spare3

    public long st_spare3

  - ### st_spare4

    public long st_spare4

  - ### st_spare5

    public long st_spare5

  - ### st_spare6

    public long st_spare6

- ## Constructor Details

  - ### StatNS

    public StatNS()